Subject: Re: [bug#39798] [PATCH 00/13] Update Pandoc.

From: Pierre Neidhardt <[email-masked]>
Date: Thu, 27 Feb 2020 08:51:43 +0100

Ricardo Wurmus <[email-masked]> writes:

>> - Should this go on staging?  It rebuilds a few hundred packages, maybe less
>> than 300.
>> - I'm not 100% sure that updating the Haskell libraries didn't break
>> anything.  I guess the continuous integration will tell us.
>> - 3-4 libraries seemed to have many dependents and updating them would break
>>   stuff, so instead I created a versioned package, e.g. ghc-regex-base-0.94.
>>   Is this OK?  Is there a best practice here?
>
> I would prefer to untangle upgrading any packages from renaming
> ghc-pandoc to pandoc.

No problem.

> Haskell package upgrades need to be consistent according to the current
> LTS.  We can’t just upgrade some Haskell packages without upgrading them
> all.  They also cannot be upgraded to the latest version as that may be
> higher than the LTS version.

I'm new to Haskell packaging.  Where do I find the LTS versions?
Can we update pandoc then?

-- 
Pierre Neidhardt
https://ambrevar.xyz/